#{extends 'border.html'/}
<div class="container">

    *{<div class="row">}*
        *{<div class="col-md-12">}*
            *{<!-- Breadcrumb -->}*
            *{<ol class="breadcrumb">}*
                *{<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>}*
                *{<li><a href="@{masterdata.PenyediaCtr.index()}">&{'penyedia.label'}</a></li>}*
                *{<li class="active">&{'detail_penyedia.label'}</li>}*
            *{</ol>}*
            *{<!-- End Breadcrumb -->}*
        *{</div>}*
    *{</div>}*

    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
            #{backButton/}
            </div>
        </div>
    </div>

    <div class="row">
        <div class="detail-wrapper">
            <div class="detail-body">
                <div class="col-md-12">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active">
                                    <a href="#info-penyedia" aria-controls="info-penyedia" role="tab" data-toggle="tab">&{'informasi_penyedia.label'}</a>
                                </li>
                                <li role="presentation">
                                    <a href="#distributor"aria-controls="distributor" role="tab" data-toggle="tab">&{'distributor.label'}</a>
                                </li>
                            </ul>

                            <div class="tab-content">
                            #{alert /}
                                <!-- Informasi Penyedia -->
                                <div role="tabpanel" class="tab-pane active" id="info-penyedia">
                                    <div class="detail-list">
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'penyedia.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.nama_penyedia != null ? penyedia?.nama_penyedia : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'nama_pengguna.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.username != null ? penyedia?.username : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'status.label'} &{'penyedia.label'}</div>
                                                <div class="detail-description col-md-9">
                                                    #{if penyedia?.status_penyedia_distributor != null}
                                                        #{if penyedia?.status_penyedia_distributor == "penyedia_dan_distributor"}
                                                        &{'penyedia_dan_distributor.label'}
                                                        #{/if}
                                                        #{elseif penyedia?.status_penyedia_distributor == "penyedia_saja"}
                                                        &{'penyedia_saja.label'}
                                                        #{/elseif}
                                                        #{else penyedia?.status_penyedia_distributor == "distributor_saja"}
                                                        &{'distributor_saja.label'}
                                                        #{/else}
                                                    #{/if}
                                                    #{else}-#{/else}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'alamat.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.alamat != null ? penyedia?.alamat : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'kode_pos.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.kode_pos != null ? penyedia?.kode_pos : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'email.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.email != null ? penyedia?.email : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'situs_web.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.website != null ? penyedia?.website : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'nomor_telp.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.no_telp != null ? penyedia?.no_telp : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'nomor_fax.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.no_fax != null ? penyedia?.no_fax : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'npwp.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.npwp != null ? penyedia?.npwp : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'pkp.label'}</div>
                                                <div class="detail-description col-md-9">${penyedia?.pkp != null ? penyedia?.pkp : "-"}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'penyedia_komoditas.label'}</div>
                                                <div class="detail-description col-md-9">
                                                    #{if !komoditasList.isEmpty()}
                                                        <ol>
                                                            #{list komoditasList, as:'komoditas'}
                                                                <li>${komoditas.nama_komoditas}</li>
                                                            #{/list}
                                                        </ol>
                                                    #{/if}
                                                    #{else }-#{/else}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'tipe_penyedia.label'} (&{'ukm.label'}/Non)</div>
                                                <div class="detail-description col-md-9">
                                                    #{if penyedia?.is_umkm != null}
                                                        #{if penyedia?.is_umkm == 1}
                                                            &{'usaha_kecil.label'}
                                                        #{/if}
                                                        #{elseif penyedia?.is_umkm == 2}
                                                            &{'usaha_menengah.label'}
                                                        #{/elseif}
                                                        #{else}
                                                            Non &{'ukm.label'}
                                                        #{/else}
                                                    #{/if}
                                                    #{else}-#{/else}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'dokumen_pendukung.label'} &{'ukm.label'}</div>
                                                <div class="detail-description col-md-9">
                                                    #{if !dokumenUkmList.isEmpty()}
                                                        <ol>
                                                            #{list dokumenUkmList, as:'dokumen'}
                                                                <li>
                                                                    #{if aktifUser.roleItems.contains(models.secman.Acl.COM_PENYEDIA_DOKUMEN_UKM_VIEW.namaRole)}
                                                                        <a href="${dokumen.download_url}">${dokumen.file_label}</a>
                                                                    #{/if}#{else }
                                                                        ${dokumen.file_label}
                                                                    #{/else}
                                                                </li>

                                                            #{/list}
                                                        </ol>
                                                    #{/if}
                                                    #{else }-#{/else}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'file_kontrak.label'}</div>

                                                <div class="detail-description col-md-offset-2 col-md-9">
                                                *{${penyedia.npwp}}*
                                                    <table class="table table-condensed" id="tblPenyediaKontrak">
                                                        <thead>
                                                        <tr>
                                                            <th class="header-left">&{'nomor.label'}</th>
                                                            <th class="header-left">&{'nomor_kontrak.label'}</th>
                                                            <th class="header-left">&{'file_kontrak.label'}</th>
                                                            <th class="header-left">&{'tanggal_masa_berlaku.label'}</th>
                                                            <th class="header-left">&{'aktif.label'}</th>
                                                        </tr>
                                                        </thead>
                                                    </table>
                                                </div>

                                            </div>
                                        </div>
                                    #{if ext.FeatureUtil.isRatingEnable()}
                                        #{if aktifUser.isAuthorized('comViewRating')}
                                        <div class="detail-item" id="stars-rate_old">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'rating_penyedia.label'}</div>
                                                <div class="detail-description col-md-9">
                                                    *{<div id="stars-rate_old" class="starrr" data-rating="3" disabled="disbled"></div>}*
                                                *{Rating <span id="count-existing_old">3</span> bintang}*
                                                #{list ratingResult,as:'rr'}
                                                    <div class="col-md-5">
                                                        <div id="elStar${ratingResult.indexOf(rr)}" name="rrStar" class="starrr" data-rating="${rr.rating}" disabled="disbled"></div>
                                                        &{'rating.label'} ${rr.nama_point}, <span id="1count-existing_old">${rr.rating}</span> &{'bintang.label'}
                                                    </div>
                                                #{/list}
                                                </div>
                                            </div>
                                        </div>
                                    #{/if}

                                    #{if aktifUser.isAuthorized('comInputRating')}
                                        <div class="detail-item">

                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'rating_anda.label'}</div>
                                                *{<div class="detail-description col-md-2">}*
                                                        *{#{list points,as:'pr'}}*
                                                            *{<input type="text" name="pr.nama_point" value="${pr.nama_point}" />}*
                                                            *{<input type="text" name="pr.id" value="${pr.id}" />}*
                                                        *{#{/list}}*
                                                    *{}*
                                                *{</div>}*

                                                <div class="col-md-9">

                                                #{form @masterdata.PenyediaCtr.saveRatePenyedia(), method:'POST', class:'form-penyedia', id:'rate-form'}
                                                        #{list points,as:'pr'}
                                                            <div class="col-md-5">
                                                                <input type="hidden" name="idPenyedia" id="idPenyedia" value="${penyedia.id}">
                                                                <div id="pr${pr.id}" class="starrr" data-rating="0"></div>
                                                                &{'rating.label'} ${pr.nama_point}, <span id="vRS${pr.id}">0</span> &{'bintang.label'}
                                                                <input type="hidden" id="pt${pr.id}" name="pt[${points.indexOf(pr)}].pointRating_id" value="${pr.id}" />
                                                                <input type="hidden" id="vR${pr.id}"  name="pt[${points.indexOf(pr)}].valueRating" value="0" />
                                                                <input type="hidden" id="idP${pr.id}" name="pt[${points.indexOf(pr)}].penyedia_id" value="${penyedia.id}">
                                                                <br/>
                                                                <textarea id="fb${pr.id}" name="pt[${points.indexOf(pr)}].feedBack" style="width: 250px;"></textarea>
                                                            </div>
                                                        #{/list}
                                                    <div class="col-md-10">
                                                        <button id="save" class="btn btn-md btn-primary">Simpan</button>
                                                    </div>
                                                #{/form}

                                                </div>
                                            </div>

                                        </div>
                                        #{/if}
                                    #{/if}
                                    </div>

                                    <h5>&{'representatif.label'}</h5>
                                    <table class="table table-condensed table-bordered">
                                        <thead>
                                        <tr>
                                            <th>&{'nama.label'}</th>
                                            <th>&{'nomor_telp_selular.label'}</th>
                                            <th>&{'email.label'}</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        #{list penyedia.representatives, as:'rep'}
                                        <tr>
                                            <td style="text-align: center">${rep.nama}</td>
                                            <td style="text-align: center">${rep.no_telp}</td>
                                            <td style="text-align: center">${rep.email}</td>
                                        </tr>
                                        #{/list}
                                        </tbody>
                                    </table>
                                </div>
                                <!-- End Informasi Penyedia -->

                                <!-- Form Distributor -->
                                <div role="tabpanel" class="tab-pane" id="distributor">
                                    <table class="table table-condensed table-bordered">
                                        <thead>
                                        <tr>
                                            <th>&{'nama.label'}</th>
                                            <th>&{'nomor_telp.label'}</th>
                                            <th>&{'email.label'}</th>
                                            <th>&{'situs_web.label'}</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        #{list penyedia.distributors, as:'dist'}
                                        <tr>
                                            <td style="text-align: center"><a href="@{penyedia.DistributorCtr.infoDistributor(penyedia.id,dist.id)}">${dist.nama_distributor}</a></td>
                                            <td style="text-align: center">${dist.no_telp}</td>
                                            <td style="text-align: center">${dist.email}</td>
                                            <td style="text-align: center">${dist.website}</td>
                                        </tr>
                                        #{/list}
                                        </tbody>
                                    </table>
                                </div>
                                <!-- End Distributor -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>


#{set 'moreScripts'}
<script>
    var __slice = [].slice;

    (function($, window) {
        var Starrr;

        Starrr = (function() {
            Starrr.prototype.defaults = {
                rating: void 0,
                numStars: 5,
                change: function(e, value) {}
            };

            function Starrr($el, options) {
                var i, _, _ref,
                        _this = this;

                this.options = $.extend({}, this.defaults, options);
                this.$el = $el;
                _ref = this.defaults;
                for (i in _ref) {
                    _ = _ref[i];
                    if (this.$el.data(i) != null) {
                        this.options[i] = this.$el.data(i);
                    }
                }
                this.createStars();
                this.syncRating();
                this.$el.on('mouseover.starrr', 'span', function(e) {
                    return _this.syncRating(_this.$el.find('span').index(e.currentTarget) + 1);
                });
                this.$el.on('mouseout.starrr', function() {
                    return _this.syncRating();
                });
                this.$el.on('click.starrr', 'span', function(e) {
                    return _this.setRating(_this.$el.find('span').index(e.currentTarget) + 1);
                });
                this.$el.on('starrr:change', this.options.change);
            }

            Starrr.prototype.createStars = function() {
                var _i, _ref, _results;

                _results = [];
                for (_i = 1, _ref = this.options.numStars; 1 <= _ref ? _i <= _ref : _i >= _ref; 1 <= _ref ? _i++ : _i--) {
                    _results.push(this.$el.append("<span class='glyphicon .glyphicon-star-empty'></span>"));
                }
                return _results;
            };

            Starrr.prototype.setRating = function(rating) {
                if (this.options.rating === rating) {
                    rating = void 0;
                }
                this.options.rating = rating;
                this.syncRating();
                //set 0 if no star checked
                if(rating == null && this.options.rating == null){
                    rating=0;
                }
                return this.$el.trigger('starrr:change', rating);
            };

            Starrr.prototype.syncRating = function(rating) {
                var i, _i, _j, _ref;

                rating || (rating = this.options.rating);
                if (rating) {
                    for (i = _i = 0, _ref = rating - 1; 0 <= _ref ? _i <= _ref : _i >= _ref; i = 0 <= _ref ? ++_i : --_i) {
                        this.$el.find('span').eq(i).removeClass('glyphicon-star-empty').addClass('glyphicon-star');
                    }
                }
                if (rating && rating < 5) {
                    for (i = _j = rating; rating <= 4 ? _j <= 4 : _j >= 4; i = rating <= 4 ? ++_j : --_j) {
                        this.$el.find('span').eq(i).removeClass('glyphicon-star').addClass('glyphicon-star-empty');
                    }
                }
                if (!rating) {
                    return this.$el.find('span').removeClass('glyphicon-star').addClass('glyphicon-star-empty');
                }
            };

            return Starrr;

        })();
        return $.fn.extend({
            starrr: function() {
                var args, option;

                option = arguments[0], args = 2 <= arguments.length ? __slice.call(arguments, 1) : [];
                return this.each(function() {
                    var data;
                    data = $(this).data('star-rating');
                    if (!data) {
                        $(this).data('star-rating', (data = new Starrr($(this), option)));
                    }
                    if (typeof option === 'string') {
                        return data[option].apply(data, args);
                    }
                });
            }
        });
    })(window.jQuery, window);

    $(function() {
        return $(".starrr").starrr();
    });

    $( document ).ready(function() {
        // $('#stars-rate').on('starrr:change', function(e, value){
        //     console.log(this.id);
        //     $('#count-existing').html(value);
        //     $('#rateStarP').val(value);
        // });

        $("#rate-form" ).on('starrr:change', function(e, value){
            var starId =  '#vR'+e.target.id.replace('pr','');
            var starIdlabel =  '#vRS'+e.target.id.replace('pr','');
            $(starId).val(value);
            $(starIdlabel).html(value);

        });

        var obj = $("#stars-rate_old").children;
        //disable objek view data
        obj.bind('click', function(){ return false; });
        obj.bind('mouseover', function(){ return false; });
        obj.bind('mouseout', function(){ return false; });

        //disable click
        var list = $("#stars-rate_old [name=rrStar]");
        $.each(list,function(e,value){
            document.getElementById(list[e].id).style.pointerEvents = 'none';
        });
    });

    jQuery(document).ready(function($) {
        $("#tblPenyediaKontrak").dataTable({
            ajax : {
                url : "@{DataTableCtr.cariPenyediaKontrak()}",
                cache : true,
                data: {
                    penyedia_id: "${penyedia.id}"
                }
            },
            columns : [ {
                "searchable" : false, "className": "header-center",
                render : function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            }, {
                "searchable" : true
            },{
                "searchable" : false
            },{
                "searchable" : true, "className": "header-center"
            },{
                "searchable" : true, "className": "header-center"
            } ]
        });

    });

</script>
#{/set}